HomeAPI ReferenceFiat GatewayGenerate Payment Link
POST/fiat-payments/payment-link/client

Generate Payment Link

Outcome - Creates a hosted payment page where one of your fiat clients can deposit money (card or bank transfer). The client must have a name.

Body Parameters

clientIdstringrequired

The external ID of the client making the deposit

amountnumberrequiredmin(1)max(100,000,000)

Amount to deposit, in the currency below.

currencyCodestringrequired

Currency code. Currently only SAR.

returnUrlstringhttps URL

HTTPS URL to send the client back to after paying.

IBANstring

Client IBAN (Saudi Arabia format)

paymentExpiredInMinutesnumberdefault: 60min(1)max(1440)

Payment link expiration in minutes (default 60, max 1440)

Responses

Response attributes

messagestring

Success message

dataobject

Payment link details

Show child attributes (1)
paymentLinkstring

URL to redirect the user for payment

statusnumber

HTTP status code

Was this page helpful?